[Previous] [Next] [Contents]

## `PART::Part2PCore` -- `p`-core and `p`-quotient of a partition

#### Call(s)

`PART::Part2PCore(part,p)`

#### Parameters

`part` | - | a partition
`p` | - | an integer

#### Introduction

To a partition `part` and an integer `p`, the function `PART::Part2PCore` associates a list [c, v0, v1, ..., v{`p`-1}]: c is the `p`-core (obtained by removing all possible outside ribbons of length `p` from the diagram of `part`); v0, v1, ..., v{p-1} are the partitions obtained from the residues modulo `p` of `part`[1], `part`[2]-1, `part`[3]-2, ...

#### Example 1

    >> muEC::PART::Part2PCore( [5,5,5,4,3,3,2,1,1,1], 3 );

                      [[2, 2, 1, 1], [1, 1, 1], [1], [3, 1]]

#### Related Functions

`PCore2Part`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package